org.apache.solr.handler.dataimport

## Class TemplateTransformer

- java.lang.Object
- - org.apache.solr.handler.dataimport.Transformer
  - - org.apache.solr.handler.dataimport.TemplateTransformer

-     public class TemplateTransformer
      extends Transformer

  A `Transformer` which can put values into a column by resolving an expression containing other columns

  For example:
  <field column="name" template="${e.lastName}, ${e.firstName} ${e.middleName}" /> will produce the name by combining values from lastName, firstName and middleName fields as given in the template attribute.

  Refer to http://wiki.apache.org/solr/DataImportHandler for more details.

  This API is experimental and may change in the future.

  Since:
    solr 1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TEMPLATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateTransformer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `transformRow(Map<String,Object> row, Context context)` The input is a row of data and the output has to be a new row.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEMPLATE

          public static final String TEMPLATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TemplateTransformer

          public TemplateTransformer()

  - ### Method Detail

    - #### transformRow

          public Object transformRow(Map<String,Object> row,
                                     Context context)

      Description copied from class: `Transformer`
      The input is a row of data and the output has to be a new row.
      Specified by:
        `transformRow` in class `Transformer`
      Parameters:
        `row` - A row of data
        `context` - The current context
      Returns:
        The changed data. It must be a `Map`<`String`, `Object`> if it returns only one row or if there are multiple rows to be returned it must be a `List`<`Map`<`String`, `Object`>>

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.